library(RCurl)
library(lavaan)

df <- read.csv(getURL("https://raw.githubusercontent.com/jasp-stats/jasp-desktop/development/Resources/Data%20Sets/debug.csv"))

fit <- lavaan::sem(model = "# dependent regression
contNormal ~ b11*contcor2 + c11*contcor1

# mediator regression
contcor2 ~ a11*contcor1

# effect decomposition
# y1 ~ x1
ind_x1_m1_y1 := a11*b11
ind_x1_y1 := ind_x1_m1_y1
tot_x1_y1 := ind_x1_y1 + c11", data = df)

summary(fit)
